[PC-BSD Commits] r12297 - in pbi/modules/emulators/qemu: . scripts
svn at pcbsd.org
svn at pcbsd.org
Thu Aug 25 09:47:45 PDT 2011
Author: kenmoore
Date: 2011-08-25 09:47:45 -0700 (Thu, 25 Aug 2011)
New Revision: 12297
Modified:
pbi/modules/emulators/qemu/pbi.conf
pbi/modules/emulators/qemu/scripts/pre-install.sh
Log:
Fix qemu to require root access to install, and comment entire pre-install script
Modified: pbi/modules/emulators/qemu/pbi.conf
===================================================================
--- pbi/modules/emulators/qemu/pbi.conf 2011-08-25 16:38:55 UTC (rev 12296)
+++ pbi/modules/emulators/qemu/pbi.conf 2011-08-25 16:47:45 UTC (rev 12297)
@@ -27,5 +27,9 @@
# Ports to build before / after
PBI_MKPORTBEFORE=""
PBI_MKPORTAFTER="emulators/aqemu/ devel/dbus-qt4"
+
+PBI_REQUIRESROOT="YES"; export PBI_REQUIRESROOT
+
+BUILDKEY="01"; export BUILDKEY
export PBI_PROGNAME PBI_PROGWEB PBI_PROGAUTHOR PBI_PROGICON PBI_MAKEPORT PBI_MAKEOPTS PBI_MKPORTBEFORE PBI_MKPORTAFTER
Modified: pbi/modules/emulators/qemu/scripts/pre-install.sh
===================================================================
--- pbi/modules/emulators/qemu/scripts/pre-install.sh 2011-08-25 16:38:55 UTC (rev 12296)
+++ pbi/modules/emulators/qemu/scripts/pre-install.sh 2011-08-25 16:47:45 UTC (rev 12297)
@@ -1,7 +1,7 @@
#!/bin/sh
-INSTALLED=`ls /Programs | grep QEMU`
-if [ $? = 0 ]
-then
- exit 2
-fi
+#INSTALLED=`ls /Programs | grep QEMU`
+#if [ $? = 0 ]
+#then
+# exit 2
+#fi
More information about the Commits
mailing list